/*

*/

import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.SwingUtilities;
import java.awt.event.ActionEvent;
import java.math.BigInteger;
import static java.util.concurrent.TimeUnit.SECONDS;

/**

*/
public class GUIExperiment
{
   public static void main(String[] args)
   {
      final JFrame frame = new JFrame();
      frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
      frame.setSize(250, 250);
      frame.setLocationRelativeTo(null);
      frame.setVisible(true);

      final JButton jb = new JButton("Hi");
      frame.add(jb);
      jb.addActionListener(
         (ActionEvent e)->{
            System.out.println("Ouch.");
            SwingUtilities.invokeLater(
               ()->System.out.println("Ouch, ouch!")
            );
         }
      );

      try{SECONDS.sleep(5);}catch(InterruptedException e){}

      SwingUtilities.invokeLater(()->System.out.println(Primes.factorize(1234756789123127L)));
      SwingUtilities.invokeLater(()->System.out.println(Primes.factorize(9876543217123125L)));
      SwingUtilities.invokeLater(()->System.out.println(Primes.factorize(99456779999123127L)));
      SwingUtilities.invokeLater(()->System.out.println(Primes.factorize(999997999999123127L)));
      SwingUtilities.invokeLater(()->System.out.println(Primes.factorize(new BigInteger("898799891293129983799597"))));
      System.out.println("Done submitting prime number tasks to the EDT.");
      System.out.println("main() method done.");
   }
}
