/*

*/

/**
   Execute 1,000 tasks, one after the other,
   in a serial manner.
*/
public class SerialExample
{
   public static void main(String[] args)
   {
      final long startTime = System.currentTimeMillis();

      for (long i = 0; i < 1_000; ++i)
      {
         final long x = i + 50_000_000_000_000_001L;
         System.out.println( Primes.factorize(x) );
      }

      final long stopTime = System.currentTimeMillis();
      System.out.println("(" + (stopTime - startTime) + "ms)");
   }
}
